# kabc Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KABC::GUIErrorHandler Class Reference

This class shows messages boxes for every error message. More...

`#include <errorhandler.h>`

Inheritance diagram for KABC::GUIErrorHandler:

[legend]
Collaboration diagram for KABC::GUIErrorHandler:

[legend]
List of all members.

## Public Member Functions

virtual void | error (const QString &msg)

## Detailed Description

This class shows messages boxes for every error message.

Deprecated:
  Use GuiErrorHandler instead.

Definition at line 62 of file errorhandler.h.

## Member Function Documentation

void GUIErrorHandler::error | ( | const QString & | msg | ) | `[virtual]`

| Show error message. Implements KABC::ErrorHandler. Definition at line 38 of file errorhandler.cpp. References KMessageBox::error().

The documentation for this class was generated from the following files:

- errorhandler.h
- errorhandler.cpp

This file is part of the documentation for kabc Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:31:45 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003